<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div style="
  display: flex;
  flex-direction: row;">
  <div style="background-color:  brown;">div 1 texxxt</div>
  <div style="background-color:  cadetblue;">div 2 <p>texxxt</p></div>
  </div>
<div style="
margin-top:30px ;;
  display: flex;
  flex-direction: row;">
  <div style="background-color:  cadetblue; width: 100px;;">100px</div>
  <div style="background-color:  brown;flex: 1 ;">exx 1</div>
  <div style="background-color:  cadetblue; flex: 2;">exx2</div>
  </div>
  <div style="
margin-top:30px ;;
  display: flex;
  flex-direction: row;
  justify-content: center;
  height: 68px;
  border-style: solid;
  border-width: 1px;
  border-color: dodgerblue;">
  <div style="background-color:  cadetblue; width: 100px;;">100px</div>
  <div style="background-color:  brown;width: 100px;">100px</div>
  <div style="background-color:  cadetblue; width: 100px;">100px</div>
  </div>
  <div style="
  margin-top:30px ;;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    height: 68px;
    border-style: solid;
    border-width: 1px;
    border-color: dodgerblue;">
    <div style="background-color:  cadetblue; width: 100px;;">100px</div>
    <div style="background-color:  brown;width: 100px;">100px</div>
    <div style="background-color:  cadetblue; width: 100px;">100px</div>
    </div>
    <div style="
    margin-top:30px ;;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      height: 68px;
      align-items: end;
      border-style: solid;
      border-width: 1px;
      border-color: dodgerblue;">
      <div style="background-color:  cadetblue; width: 100px;;">100px</div>
      <div style="background-color:  brown;width: 100px;">100px</div>
      <div style="background-color:  cadetblue; width: 100px;">100px</div>
      </div>
</body>
</html>